/* ==========================================================================
   WooCommerce Quantity Inputs styles - begin
   ========================================================================== */

.woocommerce-page .mkdf-content,
div.woocommerce {

    .mkdf-quantity-buttons {
        position: relative;
        display: inline-block;
        vertical-align: middle;

        .mkdf-quantity-input,
        .mkdf-quantity-minus,
        .mkdf-quantity-plus {
            display: inline-block;
            vertical-align: middle;
            color: $default-text-color;
            background-color: transparent;
            border: 1px solid $default-border-color;
            text-align: center;
            box-sizing: border-box;
        }

        .mkdf-quantity-input {
            position: relative;
            height: 50px;
            width: 50px;
            padding: 0;
            -webkit-border-radius:0;
            -moz-border-radius:0;
            border-radius:0;
            margin: 0 22px 0 0;
            font-family: inherit;
            line-height: 48px;
            outline: 0;
        }

        .mkdf-quantity-minus,
        .mkdf-quantity-plus {
            position: absolute;
            right: 0;
            width: 23px;
            height: 25px;
            line-height: 23px;
            border-left: 0;
            cursor: pointer;
            @include mkdfTransition(color .15s ease-in-out);

            &:hover {
                color: $first-main-color;
            }
        }

        .mkdf-quantity-plus {
            top: 0;
            border-bottom: 0;
        }

        .mkdf-quantity-minus {
            bottom: 0;
        }
    }
}

.woocommerce-page .mkdf-content,
div.woocommerce {

    input[type="text"],
    input[type="email"],
    input[type="tel"],
    input[type="password"],
    textarea {
        position: relative;
        width: 100%;
        margin: 0 0 14px;
        padding: 12px 20px;
        font-family: inherit;
        font-size: 12px;
        line-height: 18px;
        font-weight: inherit;
        color: $default-text-color;
        background-color: transparent;
        border: 1px solid $default-border-color;
        outline: 0;
        -webkit-appearance: none;
        box-sizing: border-box;

        &:focus {
            border-color: $default-heading-color;
        }
    
        @include mkdfPlaceholder {
            color: inherit;
        }
    }

    .coupon {

        input[type="text"] {
            width: 200px;
        }
    }
}
/* ==========================================================================
   WooCommerce Quantity Inputs styles - end
   ========================================================================== */